The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get cluster details

Prev Next

This URL gets the details of a cluster based on the cluster id.

Resource URL

GET /cluster/<cluster Id>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
cluster id Cluster ID.

You can use the GET /cluster method to get the details of all the clusters.

string Yes

Payload Parameters:

None

Response Parameters

Following fields are returned in the response.

Field Name Description Data Type
success Indicates if the GET operation was successful.

Value is set to true if the GET operation is successful.

Value is set to false if the GET operation is not successful.

string
msg Message if the GET operation is successful string
errMsg Error message if the GET operation is not successful string
domainName Domain to which the cluster belongs string
data Details of the cluster object

Details of data object.

Field Name Description Data Type
id Cluster Id.

The Id is specific to the Virtual IPS solution.

number
name Name of the cluster string
description Description of the cluster string
sharedSensorKey Shared key to be used by the Sensors that will be registered with this cluster string
subscriberId Domain Id number
deviceClusterId Device cluster Id number
updateDateTime Last update time of the cluster number
updateUserName Last user who modified the cluster string
memberCount Number of Sensors in the cluster. Initially, the value is set to 0 for a new cluster. number
memberSensorSW Sensor software version string
vidsId Vids Id number

Example

Request

GET https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/cluster/3

Response

{
    "success": true,
    "msg": null,
    "errMsg": null,
    "domainName": null,
    "data": {
        "id": 3,
        "name": "TestCluster",
        "description": "Sample Cluster",
        "sharedSensorKey": "7a4a7b462c2f5a454e792118591d5c5c",
        "subscriberId": 0,
        "deviceClusterId": 1003,
        "updateDateTime": 1556170533000,
        "updateUserName": "admin",
        "memberCount": 0,
        "memberSensorSW": null,
        "vidsId": 106
    }
}